Bug 1170142 - [as_IN] Assamese 2.91, Conjuncts rendering issue for some glyphs
Summary: [as_IN] Assamese 2.91, Conjuncts rendering issue for some glyphs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-assamese-fonts
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1170135
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 11:33 UTC by Pravin Satpute
Modified: 2014-12-12 04:13 UTC (History)
5 users (show)

Fixed In Version: lohit-assamese-fonts-2.91.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of: 1170135
Environment:
Last Closed: 2014-12-12 04:13:25 UTC


Attachments (Terms of Use)
Problem describing problem with Assamese rendering. (7.92 KB, image/png)
2014-12-05 14:37 UTC, Pravin Satpute
no flags Details

Description Pravin Satpute 2014-12-03 11:33:29 UTC
+++ This bug was initially created as a clone of Bug #1170135 +++

Description of problem:
In Bengali 2.91, conjuncts where the second consonant is ত, followed by ি are not rendered as conjuncts

Version-Release number of selected component (if applicable):2.91


How reproducible:


Steps to Reproduce:
1.Install Lohit-Bengali
 https://fedorahosted.org/releases/l/o/lohit/lohit-bengali-ttf-2.91.1.tar.gz
2.Try glyphs combinations with  ে  ্  ি  ে, ৈ, ো, ৌ

Actual results:
Conjucts rendering issue

Expected results:
Conjucts should render properly

Issue Reference Screenshot:
https://cloud.githubusercontent.com/assets/5493630/5164541/07629c78-73ff-11e4-96c2-b9a49196d7e9.png

--- Additional comment from Pravin Satpute on 2014-12-03 16:51:45 IST ---

Thanks Shilpa for reporting this.

Comment 1 Fedora Update System 2014-12-03 12:17:21 UTC
lohit-assamese-fonts-2.91.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lohit-assamese-fonts-2.91.1-1.fc21

Comment 2 Fedora Update System 2014-12-03 16:06:19 UTC
Package lohit-assamese-fonts-2.91.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-assamese-fonts-2.91.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16195/lohit-assamese-fonts-2.91.1-1.fc21
then log in and leave karma (feedback).

Comment 3 Pravin Satpute 2014-12-05 14:33:48 UTC
Summary of problem: Lohit Assamese is default font for Assamese language in Fedora. In its last upstream release (2.91.0) conjuncts were breaking when applying any matra after that. This issue persist in Fedora 21 release. 


Any known workarounds: Fix is available with Zero day update (2.91.1). Issue has been fixed and just doing `$dnf update lohit-assamese-fonts` will solve the issue. 

An assessment on the impact to Fedora users: Lohit Assamese is default font for Bengali language. Whenever user will view any Assamese language content in Fedora he will face this issue.

Comment 4 Pravin Satpute 2014-12-05 14:37:16 UTC
Created attachment 965110 [details]
Problem describing problem with Assamese rendering.

Comment 5 Fedora Update System 2014-12-12 04:13:25 UTC
lohit-assamese-fonts-2.91.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.